MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028016Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-10-27 18:112018-07-09 10:57
Reporternbv 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] UnscheduledFixed in Version 
Summary0028016: Different result of intersection algorithm between two plane-like cones on Windows and Linux platform
DescriptionThe quotation of the message 0027431:0059293.

There is different behavior on Windows and Linux platform even on the current MASTER. Namely, set of IntPatch_Point(s) (vertices) is different. E.g. we have three vertices on both Windows and Linux. However, two vertices are matched on the Windows. On the Linux, the distance between them is ~ 1.0e-4 (square distance = 1.16190303248061e-08). Small second curve is built between these vertices.

The fix (for issue #27431) does not touch the algorithm of vertex computation. Therefore, the problem exists on the MASTER. But it is hidden by something.

New algorithm (applied in the fix) is forced to use vertices (as the point, which marks singularity). Therefore, described bug has been naked.

The issue 0000565 was created because the intersector did not return any result in case of trimmed cones. Now, it returns the result. But this result is different on Windows and Linux. Therefore, the problem described in the issue 0000565 is not reproduced on the fix.
Steps To Reproducetest bugs moddata_2 bug565
TagsNo tags attached.
Test case numberbugs moddata_2 bug565
Attached Files

- Relationships

-  Notes
(0069868)
apv (tester)
2017-08-25 11:04

Problem described in issue is reproduced on current state of OCCT.
(0076247)
msv (developer)
2018-05-24 17:51

This is fixed by #29511.
(0076760)
nbv (developer)
2018-06-14 10:02

Also it is fixed by the branch CR29807*.
(0077384)
nbv (developer)
2018-07-09 10:29

This problem is not reproduced on the current MASTER.

- Issue History
Date Modified Username Field Change
2016-10-27 18:11 nbv New Issue
2016-10-27 18:11 nbv Assigned To => msv
2016-10-27 18:12 nbv Priority normal => low
2016-10-27 18:12 nbv Relationship added related to 0027431
2017-08-25 11:04 apv Test case number => bugs moddata_2 bug565
2017-08-25 11:04 apv Note Added: 0069868
2018-05-24 17:51 msv Note Added: 0076247
2018-06-14 10:02 nbv Note Added: 0076760
2018-06-14 10:02 nbv Assigned To msv => nbv
2018-06-14 10:02 nbv Status new => feedback
2018-07-09 10:29 nbv Note Added: 0077384
2018-07-09 10:30 nbv Assigned To nbv => bugmaster
2018-07-09 10:57 bugmaster Status feedback => verified
2018-07-09 10:57 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker